Page MenuHomePhabricator

SSL error for https://wikispecies.org/
Closed, DeclinedPublic

Description

https://wikispecies.org/, that is a redirect to https://species.wikimedia.org/, shows me a certificate error in my browser (last Firefox).

wikispecies.org uses an invalid security certificate. The certificate is only valid for the following names: *.wikipedia.org, wikipedia.org, *.m.wikipedia.org, *.zero.wikipedia.org, wikimedia.org, *.wikimedia.org, *.m.wikimedia.org, *.planet.wikimedia.org, mediawiki.org, *.mediawiki.org, *.m.mediawiki.org, wikibooks.org, *.wikibooks.org, *.m.wikibooks.org, wikidata.org, *.wikidata.org, *.m.wikidata.org, wikinews.org, *.wikinews.org, *.m.wikinews.org, wikiquote.org, *.wikiquote.org, *.m.wikiquote.org, wikisource.org, *.wikisource.org, *.m.wikisource.org, wikiversity.org, *.wikiversity.org, *.m.wikiversity.org, wikivoyage.org, *.wikivoyage.org, *.m.wikivoyage.org, wiktionary.org, *.wiktionary.org, *.m.wiktionary.org, wikimediafoundation.org, *.wikimediafoundation.org, *.m.wikimediafoundation.org, wmfusercontent.org, *.wmfusercontent.org, w.wiki Error code: SSL_ERROR_BAD_CERT_DOMAIN

Event Timeline

Framawiki created this task.May 9 2017, 8:33 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 9 2017, 8:33 PM
Restricted Application added subscribers: Dereckson, Aklapper. · View Herald Transcript
Framawiki updated the task description. (Show Details)May 9 2017, 8:34 PM
ema moved this task from Triage to TLS on the Traffic board.Jun 20 2017, 12:38 PM
Dzahn added a subscriber: Dzahn.Jun 20 2017, 5:10 PM

I think it might be worth this _one and only_ exception to add this domain to the main cert. Of course we don't want to do that with other redirect domains but you could argue this case here is special since it's the only actual project that (for some historic reasons) never got its own .org. Technically species.wikimedia.org should be moved to wikispecies.org but it's probably unlikely to happen?

BBlack closed this task as Resolved.Oct 23 2017, 3:46 PM
BBlack claimed this task.
BBlack added a subscriber: BBlack.

The immediate error noted at the start of this ticket is expected. wikispecies.org is not in our canonical domain set and thus falls under the work in T133548 with all the other non-canonicals. It might (or might not!) make sense to add it to our set of canonicals by making the decision to promote this project up to the "gets its own canonical domain" level, but that's not our call and we're not going to resolve that here in this ticket (or anywhere near Traffic-layer stuff in general).

Framawiki changed the task status from Resolved to Declined.Oct 23 2017, 6:08 PM

(the problem is not resolved, so I change the status of this task)

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 23 2017, 6:08 PM